Name:		numactl
Summary:	library for tuning for Non Uniform Memory Access machines
Version:	0.9.8
Release:	7%{?dist} 
License:	LGPL/GPL
Group: 		System Environment/Base
URL: 		ftp://ftp.suse.com/pub/people/ak/numa/
Source0: 	ftp://ftp.suse.com/pub/people/ak/numa/numactl-%{version}.tar.gz 
Buildroot:	%{_tmppath}/%{name}-buildroot

ExcludeArch: s390 s390x

Patch1: numactl-node-cpubind.patch
Patch2: numactl-parse_bitmap_nodebind.patch
Patch3: numactl-cpubind.patch
Patch4: numactl-get_mempolicy-const.patch
Patch5: numactl-numa_3_manpage.patch

%description
Simple NUMA policy support. It consists of a numactl program to run
other programs with a specific NUMA policy and a libnuma to do
allocations with NUMA policy in applications.

%package devel
Summary: Development package for building Applications that use numa
Group: System Environment/Libraries
Provides: numactl-devel 

%description devel
Provides development headers for numa library calls

%prep
%setup -q -c -a 0
%patch1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
cd numactl-%{version}
make CFLAGS="$RPM_OPT_FLAGS -I. -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man5
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8

cd numactl-%{version}
make prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT/%{_libdir} install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libnuma.so.1
%{_bindir}/numactl
%{_bindir}/numademo
%{_bindir}/numastat
%{_bindir}/memhog
%{_bindir}/migratepages
%{_mandir}/man5/*.5*
%{_mandir}/man8/*.8*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libnuma.so
%{_includedir}/numa.h
%{_includedir}/numaif.h
%{_mandir}/man3/*.3*

%changelog
* Mon Sep 15 2008 Neil Horman <nhorman@redhat.com> - 0.9.8-7
- fix dist tag (bz 462334)

* Thu Jun 19 2008 Neil Horman <nhorman@redhat.com> - 0.9.8-6
- Update man page to explain node_to_cpu types (bz 378971)

* Tue Jun 03 2008 Neil Horman <nhorman@redhat.com> - 0.9.8-5
- Fix const declaration of nmask in get_mempolicy (bz 426369)

* Tue Jun 03 2008 Neil Horman <nhorman@redhat.com> - 0.9.8-4
- Fix cpubind off by one/buffsize error (bz 442521)

* Fri Jan 12 2007 Neil Horman <nhorman@redhat.com> - 0.9.8-1.38
- Properly fixing bz 221982
- Fixing revision to follow %{dist} convention

* Wed Jan 10 2007 Neil Horman <nhorman@redhat.com> - 0.9.8-1.37
- Make -devel depend on base package (bz 221982)

* Thu Sep 21 2006 Neil Horman <nhorman@redhat.com> - 0.9.8-1.36
- adding nodebind patch for bz 207404

* Fri Aug 25 2006 Neil Horman <nhorman@redhat.com> - 0.9.8-1.35
- moving over libnuma.so to -devel package as well

* Fri Aug 25 2006 Neil Horman <nhorman@redhat.com> - 0.9.8-1.34
- split out headers/devel man pages to a devel subpackage

* Tue Aug 15 2006 Neil Horman <nhorman@redhat.com> - 0.9.8-1.32
- add patch for broken cpu/nodebind output (bz 201906)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.9.8-1.31
- rebuild

* Tue Jun 13 2006 Neil Horman <nhorman@redhat.com>
- Rebased numactl to version 0.9.8 for FC6/RHEL5

* Wed Apr 26 2006 Neil Horman <nhorman@redhat.com>
- Added patches for 64 bit overflows and cpu mask problem

* Fri Mar 10 2006 Bill Nottingham <notting@redhat.com>
- rebuild for ppc TLS issue (#184446)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.6.4-1.25.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Jul  7 2005 Dave Jones <davej@redhat.com>
- numactl doesn't own the manpage dirs. (#161547)

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild for gcc4

* Tue Feb  8 2005 Dave Jones <davej@redhat.com>
- rebuild with -D_FORTIFY_SOURCE=2

* Wed Nov 10 2004 David Woodhouse <dwmw2@redhat.com>
- Fix build on x86_64

* Thu Oct 21 2004 David Woodhouse <dwmw2@redhat.com>
- Add PPC support

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Jun 05 2004 Warren Togami <wtogami@redhat.com> 
- spec cleanup

* Sat Jun 05 2004 Arjan van de Ven <arjanv@redhat.com>
- initial packaging

